"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getBase = getBase;
exports.getPlatform = getPlatform;
exports.getAllPlatform = getAllPlatform;
exports.getList = getList;
exports.getAllcontrast = getAllcontrast;
exports.getCould = getCould;

var _request = _interopRequireDefault(require("@/utils/request.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/**
* 获取测试数据
* @param params
* @returns {AxiosPromise}
*/
function getBase(param) {
  return (0, _request["default"])({
    url: 'overview',
    params: param,
    method: 'get'
  });
}
/**
* 获取测试数据
* @param params
* @returns {AxiosPromise}
*/


function getPlatform(param) {
  return (0, _request["default"])({
    url: 'name',
    params: param,
    method: 'get'
  });
}
/**
* 获取测试数据
* @param params
* @returns {AxiosPromise}
*/


function getAllPlatform(param) {
  return (0, _request["default"])({
    closeLoading: true,
    url: 'platform',
    params: param,
    method: 'get'
  });
}
/**
* 获取测试数据
* @param params
* @returns {AxiosPromise}
*/


function getList(param) {
  return (0, _request["default"])({
    url: 'time',
    params: param,
    closeLoading: true,
    method: 'get'
  });
}
/**
* 获取测试数据
* @param params
* @returns {AxiosPromise}
*/
function getAllcontrast(param) {
  return (0, _request["default"])({
    url: 'weibo-compare',
    params: param,
    closeLoading: true,
    method: 'get'
  });
}
/**
* 获取测试数据
* @param params
* @returns {AxiosPromise}
*/


function getCould(param, name) {
  // %E8%A5%BF%E5%AE%89%E8%AF%84%E8%AE%BA 西安
  return (0, _request["default"])({
    url: 'https://bigdata.smcic.net/data/' + name + '.json',
    params: param,
    closeLoading: true,
    method: 'get'
  });
}