"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _vue = _interopRequireDefault(require("vue"));

var _vueRouter = _interopRequireDefault(require("vue-router"));

var _index = _interopRequireDefault(require("@/view/yukang/index.vue"));

var _index2 = _interopRequireDefault(require("@/view/layout/index"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

_vue["default"].use(_vueRouter["default"]);

var routes = [{
  path: "/",
  redirect: "/contrast",
  name: "parendTopic",
  component: _index2["default"],
  children: [{
    path: "/contrast",
    name: "compare",
    component: function component(resolve) {
      return require(["@/view/index/index.vue"], resolve);
    }
  }, {
    path: "/topic",
    name: "topic",
    component: _index["default"]
  }, {
    path: "/resist-yulin",
    name: "resist-yulin",
    component: _index["default"]
  }, {
    path: "/gather-yanan",
    name: "gather-yanan",
    component: _index["default"]
  }, {
    path: "/gather-xian",
    name: "gather-xian",
    component: _index["default"]
  }, {
    path: "/gather-tong",
    name: "gather-tong",
    component: _index["default"]
  }, {
    path: "/gather-han",
    name: "gather-han",
    component: _index["default"]
  }, {
    path: "/gather-shang",
    name: "gather-shang",
    component: _index["default"]
  }]
}, {
  path: "/secondTopic/:select",
  name: "secondTopic",
  component: function component(resolve) {
    return require(["@/view/secondTopic/index.vue"], resolve);
  }
}];

var _default = new _vueRouter["default"]({
  routes: routes
});

exports["default"] = _default;